MyGUI: MyGUI::MemberObsolete< Window > Class Template Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::MemberObsolete< Window > Class Template Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< Window >:
[legend]

## Public Member Functions
void | setPosition (const IntCoord &_coord)
void | setPosition (int _left, int _top, int _width, int _height)
void | showSmooth (bool _reset=false)
void | hideSmooth ()
void | setMinMax (const IntRect &_minmax)
void | setMinMax (int _min_w, int _min_h, int _max_w, int _max_h)
IntRect | getMinMax ()

## Detailed Description

### template<>
class MyGUI::MemberObsolete< Window >

Definition at line 381 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## ◆ getMinMax()

IntRect MyGUI::MemberObsolete< Window >::getMinMax | ( |  | ) |

Deprecated:
  " is deprecated, use : IntSize getMinSize() , IntSize getMaxSize()"

Definition at line 644 of file MyGUI_BackwardCompatibility.cpp.

## ◆ hideSmooth()

void MyGUI::MemberObsolete< Window >::hideSmooth | ( |  | ) |

Deprecated:
  " is deprecated, use : void setVisibleSmooth(bool _visible)"

Definition at line 630 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setMinMax() [1/2]

void MyGUI::MemberObsolete< Window >::setMinMax | ( | const IntRect & | _minmax | ) |

Deprecated:
  " is deprecated, use : void setMinSize(const IntSize& _min) , void setMaxSize(const IntSize& _min)"

Definition at line 634 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setMinMax() [2/2]

void MyGUI::MemberObsolete< Window >::setMinMax | ( | int | _min_w,
|  | int | _min_h,
|  | int | _max_w,
|  | int | _max_h
| ) |  |

Deprecated:
  " is deprecated, use : void setMinSize(const IntSize& _min) , void setMaxSize(const IntSize& _min)"

Definition at line 639 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setPosition() [1/2]

void MyGUI::MemberObsolete< Window >::setPosition | ( | const IntCoord & | _coord | ) |

Deprecated:
  " is deprecated, use : void Widget::setCoord(const IntCoord& _coord)"

## ◆ setPosition() [2/2]

void MyGUI::MemberObsolete< Window >::setPosition | ( | int | _left,
|  | int | _top,
|  | int | _width,
|  | int | _height
| ) |  |

Deprecated:
  " is deprecated, use : void Widget::setCoord(int _left, int _top, int _width, int _height)"

## ◆ showSmooth()

void MyGUI::MemberObsolete< Window >::showSmooth | ( | bool | _reset = `false` | ) |

Deprecated:
  " is deprecated, use : void setVisibleSmooth(bool _visible)"

Definition at line 626 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp